
-------------
PreviSat 7.2
-------------

2025-10-20 :
PreviSat 7.2.0.3
- Add csv export for predictions
- Add button for the modification of a location
- Improve robustness when no satellite information is available


-------------
PreviSat 7.1
-------------

2025-07-21 :
PreviSat 7.1.2.2
- Bug fix in Decay tab
- Bug fix in UTC offsets for prediction calculations

2025-04-27 :
PreviSat 7.1.1.3
- Add upcoming lunar and solar eclipses dates
- Correction while saving satellite information in text file
- Fix minor display bugs

2025-02-15 :
PreviSat 7.1.0.6
- Add indication of Starlink flares
- Add management of custom satellite icons
- Add markers for locations and icons for stations
- Add radar in adjustment date window for Telescope tracking
- Modification for adding new locations (copy coordinates from Google Maps)
- Fix several bugs


-------------
PreviSat 7.0
-------------

2024-12-15 :
PreviSat 7.0.2.3
- Correction in the modification of a location
- Correction when updating internal files
- Correction in the Antenna tab

2024-12-08 :
PreviSat 7.0.1.2
- Correction of parsing information for Starlink
- Correction of satellite icon display

2024-12-04 :
PreviSat 7.0.0.10
- Add launch tab
- Add decay tab
- Add new information about satellites
- Add satellite information database
- Add portable version for Windows (no installation required)
- Add information label for default satellite on the world map
- Add terminator customization
- Add constellation names in different languages in Main tab
- Add deactivation system for features depending on external resources (Starlink, launches, decays)
- Correction of the display of launch site name on the world map


-------------
PreviSat 6.1
-------------

2024-04-28 :
PreviSat 6.1.5.2
- Fix rare bug while reading orbital elements files
- Add chronological sorting in prediction passes results

2024-01-29 :
PreviSat 6.1.4.3
- Correction of shadow display
- Correction of add or remove location
- Bug fix after Celestrak website modifications

2023-12-30 :
PreviSat 6.1.3.2
- Reload of current GP file after updating groups of GP files
- Correction of display bugs

2023-12-16 :
PreviSat 6.1.2.3
- Improved reading of orbital element files
- Correction for NASA bases weather
- Correction for internal files update

2023-11-26 :
PreviSat 6.1.1.1
- Improvement in Starlink predictions

2023-11-10 :
PreviSat 6.1.0.3
- Add Starlink predictions
- Add checkboxes to filter chosen satellites in the lists
- Small display improvements


-------------
PreviSat 6.0
-------------

2023-08-15 :
PreviSat 6.0.1.2
- Correction in the legal time - UTC selection
- Modification of satellites standard magnitude

2023-06-24 :
PreviSat 6.0.0.15
- Code migration from Qt5 to Qt6
- Partial software overhaul for the graphic interface
- Management tools for the old orbital elements format (TLE)
- Improvement of the drawing display on the world map, the sky map and the radar
- Add shortcuts to the main features
- Add management of the new orbital elements format (GP)
- Add additional informations about Sun and Moon
- Add filters for satellites lists
- Add management of log files
- Add Sun and Moon transits for all satellites
- Add Options and Tools windows
- Add date adjustments in the Telescope tab
- Add zoom on the world map
- Add boundaries on the world map
- Add dark mode


-------------
PreviSat 5.1
-------------

2023-02-11 :
PreviSat 5.1.3.1
- Correction in internal files update

2022-12-28 :
PreviSat 5.1.2.2
- Display corrections in the Information tab
- Modification of contact of the author

2022-11-08 :
PreviSat 5.1.1.2
- Modifications in the verification of software update
- Bug fix for TLE download

2022-10-23 :
PreviSat 5.1.0.3
- Add Antenna tab
- Correction of taking into account real time step
- Correction at launch


﻿-------------
PreviSat 5.0
-------------

2022-09-18 :
PreviSat 5.0.4.4
- Corrections for translations
- Correction of UTC offset in results files
- Correction in sky map display
- Correction of translation at initialization

2022-08-28 :
PreviSat 5.0.3.3
- Fix minor bug in satellite data search
- Fix bug for selecting satellites in manual mode
- Fix bug in real time mode

2022-08-20 :
PreviSat 5.0.2.3
- Modification of NASA streams display
- Fix bug display
- Fix bug for checking new version

2022-07-28 :
PreviSat 5.0.1.4
- Modification of some tooltip display
- Small improvements in display and use
- Improvement with Skywatcher Satellite Tracker
- Fix residual bugs due to new version

2022-07-10 :
PreviSat 5.0.0.10
- Add satellite tracking with a Sky Watcher telescope (Windows only)
- Add detailed display for ISS transits
- Add civil/nautical/astronomical twilights for shadow display
- Add rigorous display for Moon phases
- Add other units for velocities
- Add acronym explanations for orbit categories, countries or organizations, and launch sites
- Add launch site display on world map
- Modification of the display for Satellite informations tab and Options tab
- Modification of the management of some data files
- Migration to Qt5 and refactoring whole software


-------------
PreviSat 4.0
-------------

2021-08-27 :
PreviSat 4.0.8.1
- Fix translation bug (English)

2021-08-14 :
PreviSat 4.0.7.3
- Fix bug of sky track display for predictions
- Fix bug display of NASA bases weather
- Add default zoom value for maps (flares, ISS transits and local weather)

2021-03-01 :
PreviSat 4.0.6.1
- Remove ISS maneuvers table (because NASA website providing these informations is now offline)

2020-07-18 :
PreviSat 4.0.5.3
- Improvement in ISS transits calculation
- Display of current weather in default browser
- Minor changes

2020-07-04 :
PreviSat 4.0.4.1
- Fix bug of ISS maneuvers display

2020-06-28 :
PreviSat 4.0.3.1
- Fix bug of Human Space Flight file updating

2020-04-25 :
PreviSat 4.0.2.3
- Fix bug of TLE age display in ISS transits tab
- Fix bug in world map size at loading
- Renamed histo files for PreviSat informations

2020-03-28 :
PreviSat 4.0.1.1
- Fix bug concerning longitude input

2019-12-08 :
PreviSat 4.0.0.12
- Add phasing data
- Add information window
- Add NASA TV
- Add ISS maneuvers information
- Modifications in ISS transits calculation
- Saving display preferences into file
- Update of all TLE groups
- Correction of maximum line display for ISS transits
- Correction in warning display while updating TLEs
- Correction in local time display (rare cases)
- Modification of main window display (remove Iridium flares)
- Fix minor bugs


-------------
PreviSat 3.5
-------------

2017-12-28 :
PreviSat 3.5.6.4
- Add OTV icon
- Correction of default display in prediction calculations
- Correction in ISS transit results
- Fix minor bugs

2017-04-14 :
PreviSat 3.5.5.2
- Correction in updating files
- Correction in the display of Iridium status

2016-09-04 :
PreviSat 3.5.4.4
- Minor correction of label display
- Correction of display when updating TLE
- Management of Moon eclipses on artificial satellites
- Effect of partial eclipses on the magnitude

2016-06-01 :
PreviSat 3.5.3.4
- Removed other rare cases of duplicates in the calculation of flares
- Some improvements on resources management
- Correction of large orbit number
- Correction of display for beta angle

2016-03-20 :
PreviSat 3.5.2.5
- Added next day/night transition delay and beta angle in main tab
- Added shortcuts for updating TLE
- Correction and modification in the display
- Correction in updating current TLE file
- Removed rare cases of duplicates in the calculation of flares

2016-02-06 :
PreviSat 3.5.1.7
- Several modifications in the Wall Command Center
- Small corrections and modifications of display
- Correction in the day/night transition delay on the blackboard
- Correction in modification of location coordinates
- Correction in AM/PM display for orbital events
- Correction in the display of the line of maximum for flares
- Correction in the UTC mode

2015-12-08 :
PreviSat 3.5.0.8
- Management of large orbit number
- Added altitude for marker in maps of Iridium/MetOp/SkyMed flares and ISS transits
- Added solar panels Iridium flares
- Added MetOp and SkyMed flares
- Added sound notification for LOS and download of sound notifications
- Added Satellite data search
- Added signal informations
- Added ISS icon rotation


-------------
PreviSat 3.4
-------------

2015-09-02 :
PreviSat 3.4.5.15
- Added Terrestrial Time to improve planetary positions
- Added ECEF frame for satellite position
- Added tracks for satellites in radar
- Modification in the display for predictions
- Modification in updating internal files
- Modification in the display of the blackboard
- Modification in the display of settings tab
- Modification of the resizing button for ISS Live
- Modification of some TLE file names
- Modification of paths for data files
- Corrections in the display
- Correction in software updating
- Correction in magnitude display in predictions tables (for penumbra)
- Correction in TLE file selection for Iridium flares and ISS transits
- Correction in the display of sky track for predictions

2015-04-25 :
PreviSat 3.4.4.5
- Correction in the display of the Wall Command Center
- Correction in the display of ISS transits results
- Correction in the display of Moon position
- Bug fix in updating internal files
- Modification in the display of the blackboard

2015-02-22 :
PreviSat 3.4.3.3
- Correction in updating internal files
- Correction in the display of the next AOS
- Correction in the display of location coordinates

2014-12-20 :
PreviSat 3.4.2.4
- Modification of the display of the ISS orbit number in the Wall Command Center
- Correction in Live ISS video
- Corrections for display
- Modification in the TLE management

2014-11-28 :
PreviSat 3.4.1.2
- Corrections for display
- Small correction in the calculation of the Moon magnitude

2014-11-21 :
PreviSat 3.4.0.8
- Added the weather window for the observer location and for NASA bases
- Removing the obsolete video stream of ISS Live
- Changing the display of ISS Live for MacOS platform
- Added the magnitude of the Moon
- Small improvements in source code
- Corrections for display
- Corrections in checking software update
- Corrections in TLE manager


-------------
PreviSat 3.3
-------------

2014-09-14 :
PreviSat 3.3.1.5
- Added data for all objects launched since 1957
- Modification of window resizing for Iridium flares and ISS transits predictions
- Correction in the display of maximal Iridium flare
- Correction in the display of satellite data
- Correction in the date format in the Osculating elements tab

2014-07-23 :
PreviSat 3.3.0.7
- Added the ISS Live
- Added the Wall Command Center visualization
- Added the 12-clock/24-clock option
- Added the map for predictions results
- New calculation of satellite eclipses (with atmospheric refraction)
- Correction of local time offset in the calculations of predictions
- Correction in TLE updating


-------------
PreviSat 3.2
-------------

2013-11-15 :
PreviSat 3.2.1.5
- Some improvements in code quality
- Corrections for display
- Correction in Moon data displaying
- Better management of zone time
- Little improvement with TLE updating

2013-09-28 :
PreviSat 3.2.0.8
- Modification for checking updates
- Added more information on the satellites
- Conservation of the list of satellites for each file of the TLE directory
- Display of TLE age in ISS Transit tab
- Display of Iridium satellites status
- Calculation of Iridium magnitude in the main window
- Minor correction in the prediction of passes
- Standardization of source code for Windows/Linux/MacOS platforms


-------------
PreviSat 3.1
-------------

2013-07-14 :
PreviSat 3.1.3.3
- Display of the next AOS and LOS
- Correction in Iridium calculation
- Correction with TLE updating

2013-04-10 :
PreviSat 3.1.2.4
- Correction for world map display
- Small improvement in manual mode
- Correction of TLE updating report
- Bug fix in location handling

2013-01-26 :
PreviSat 3.1.1.2
- Correction for radar display
- Default names for prediction files

2012-12-12 :
PreviSat 3.1.0.6
- Correction for low resolution screens
- Modification of TLE management in the user interface
- Night vision mode
- Calculation of adapted orbital parameters
- Online setup
- Bug fix in checking TLE validity


-------------
PreviSat 3.0
-------------

2012-10-06 :
PreviSat 3.0.5.4
- Improvement of the source code robustness
- Improvement of the algorithm for the creation of a personal TLE
- Improvement of all prediction calculations
- Small changes in the graphic user interface

2012-09-09 :
PreviSat 3.0.4.10
- Bug fix with clicking on status bar
- Bug fix with loading application when the TLE directory is empty
- Bug fix with the names of planets in a foreign language
- Bug fix for negative offsets with UTC
- Correction of updating TLEs while loading application
- Correction in order to have coherence between data directory definition in libraries and main application
- Added messagesConstants.h
- Added definition of VER_MAJ in PreviSat.pro
- Modification of error management while loading application
- Small cleanups in source code

2012-08-18 :
PreviSat 3.0.3.11
- Bug fix with calculation of orbital events
- Bug fix with manual mode in the Osculating elements tab
- Bug fix with radar display
- Bug fix with downloading world maps and locations
- Bug fix with footprint display
- Bug fix with suppression of a location
- Correction of language display in message boxes 
- Small correction with Moon phase
- Small correction with TLE downloading logbook
- Added Rename/Modification of coordinates in contextual menus for categories and locations
- Cleanup of source code (comments, small improvements)

2012-08-09 :
PreviSat 3.0.2.3
- Bug fix with displaying TLE downloading logbook
- Bug fix with downloading
- Modification of enumerations in headers

2012-05-30 :
PreviSat 3.0.1.4
- Bug fix with illumination value
- Bug fix with downloading TLE file
- Bug fix with TLE management
- Adapted size of Iridium flares window results

2012-05-20 :
PreviSat 3.0.0.18
- C++/Qt development
- New implementations for predictions of passes, Iridium flares, orbital events and ISS transits
- Calculation of the coordinates of the maximum for Iridium flares and ISS transits
- Modifications in the graphical user interface : adding planets, display of the SAA, etc.


-------------
PreviSat 2.3
-------------

2011-10-27 :
PreviSat 2.3.4.2
- Correction of a bug with downloading world maps

2011-08-02 :
PreviSat 2.3.3.1
- Correction of a bug after updating TLE

2011-07-25 :
PreviSat 2.3.2.2
- Correction of the pseudo-ballistic sign !!
- Correction in Iridium flares prediction

2011-06-08 :
PreviSat 2.3.1.0
- Corrections in downloading files

2011-05-27 :
PreviSat 2.3.0.4
- Many internal modifications.
- Added the sky map (with constellations and name of main stars).
- Maximised display of the world map or the sky map.
- Add simulation mode.
- Downloading of new locations and world maps, management of TLE downloading.
- Management of satellite names for TLE with 2 lines.


-------------
PreviSat 2.2
-------------

2010-11-22 :
PreviSat 2.2.2.4
- Added the Anglo-Saxon units
- Small corrections and additions on the main window
- Changes in the locations handling

2010-11-08 :
PreviSat 2.2.1.0
- Correction of the display of Moon phase
- Corrections in help files
- (re-)translation of warning messages in the English version
- Compilation with VB2010
- Added all TLE files available on celestrak.com

2010-04-12 :
PreviSat 2.2.0.10
- Sizeable main window
- Display of the Moon
- Management of several locations on the world map
- Calculation of ISS transits with the Sun and the Moon
- New display options


-------------
PreviSat 2.1
-------------

2009-10-22 :
PreviSat 2.1.8.83
- Correction in the calculation of the orbit number
- Modification of the initialization
- Improvement of the software

2009-09-14 :
PreviSat 2.1.7.80
- Modification in message service handling
- Correction in the calculation of the footprint

2009-08-17 :
PreviSat 2.1.6.78
- Corrections in the use of TLEs with 2 lines
- Corrections in the verification of TLE files
- Correction in the display of TLE epoch in "Satellite informations" tab
- Correction when a satellite is selected on the main list
- Correction of the prediction of passes
- Small corrections in the calculation of orbital events
- Small corrections in the TLE updating
- Small correction in the creation of TLE files

2009-08-10 :
PreviSat 2.1.5.70
- Little internal modification in Iridium flares calculations
- Display of the number of satellites when opening a TLE file
- Small correction when opening a TLE file (at gz format)
- Modifications of the display in 'Satellite informations' tab
- Small correction in the display of the results of predictions of passes (rare cases)
- Internal modifications of source code
- Added the creation of TLE file with selected satellites
- Small correction after opening a TLE file
- Bug correction in the creation of personal TLE file
- Modification in the calculation of orbital events

2009-07-23 :
PreviSat 2.1.4.60
- SGP4 model with corrections from D. Vallado (use of oriented object programmation)
- Multi-satellite management (calculation algorithms, display)
- New algorithm for Iridium flares, TLE updating and creation of personal TLE files
- Several modifications concerning display
- Many improvements of source code (manual mode, Iridium flares, ...)
- Calculation of orbital events
- Screenshot of the main window at JPEG or BMP format
- Automatic download of orbital elements (TLE)


-------------
PreviSat 2.0
-------------

2009-03-09 :
PreviSat 2.0.8.61
- New graphical interface with VB2005, simplification of its use.
- Rewriting of all the procedures : adaptation to the language VB2005, translation in C language of the procedures containing many mathematical operations.
- New management of locations.
- Significant optimization of predictions and Iridium flares.
- New display options.
- Display of the zone of shade.
- Gradual variation of the radar coloured background according to the elevation of the Sun.
- New calculation of the satellite foot print and the zone of shade.


-------------
PreviSat 1.2
-------------

2006-12-04 :
PreviSat 1.2.0.11
- Modification of the layout of elements in the graphic interface.
- Add the radar.
- Creation of TLE personal files and their update.


-------------
PreviSat 1.1 (not released for public)
-------------

2006-06-01 :
PreviSat 1.1.15
- Predictions of Iridium flares (personal algorithm concerning the magnitude).
- Add the sound notification and the satellite foot print.
- Add the Sun, the terminator and the list of satellites in the main window.
- Display of the future ground track of the satellite.
- Add the satellite Informations.
- Decompression of TLE files with gz format.


-------------
PreviSat 1.0 (not released for public)
-------------

2006-02-01 :
PreviSat 1.0.114
- Developing the module calculating position and velocity with orbital models SGP4/SDP4.
- Numeric display of the position (vectors position and velocity, then in the various reference points).
- Calculation of the predictions of a satellite.
- Add the world map.
- Add shortcut buttons on the graphic interface.
- Add the Real-time mode, the status bar and of the calculation of osculating elements.
- Prediction of several satellites.
- Add the manual mode.
- Save results in a text file.
- Choice among several steps in manual mode.
- Optimization of the calculation of the predictions.
